echo off

set JAVA_OPTS=-server -Xmn4g -Xms6g -Xmx8g

set AFFNAME="Medizinisches Proteom Center (MPC), University of Bochum"
set AFFADDR="Universitaetsstrasse 150, D-44801 Bochum"
set UMAIL=mayerg97@rub.de
set SAMPNAME="Sample name"
set PD_INDIR=C:/Users/mayerg97/MyUNI/de.NBI_CUS/PD1.x/
set PD_OUTDIR=C:/Users/mayerg97/MyUNI/de.NBI_CUS/PD1.x/
set PROCON_DIR=C:\Users\mayerg97\Downloads\ProCon_dist-0.9.804\

REM For Java 13 and higher
set STDOPTS=-cp .\lib -jar %PROCON_DIR%ProCon.jar –conv=PD1x –pks=Consensus –mz –ip –jdbc -pdl –plff=MGF –peptf=RELAXED -piwik

set FILENAME=2012_310_MCH_Banda2_03
java.exe %JAVA_OPTS% %STDOPTS% –affname=%AFFNAME% –affaddr=%AFFADDR% –umail=%UMAIL% -sampname=%SAMPNAME% –msf=%PD_INDIR%Oscar/Test2/%FILENAME%.msf –mzid=%PD_OUTDIR%Oscar/Test2/%FILENAME%.mzid -h

REM For conversion of several files consecutively duplicate the preceding two lines and change the file name accordingly.

pause
exit