echo off

set JAVA_OPTS=-server -Xmn4g -Xms6g -Xmx8g

set AFFNAME="Medizinisches Proteom Center (MPC), University of Bochum"
set AFFADDR="Universitaetsstrasse 150, D-44801 Bochum"
set UMAIL=mayerg97@rub.de
set NAME="Gerhard Mayer"
set PASSWD=..........
set PROCON_DIR=C:\Users\mayerg97\Downloads\ProCon_dist-0.9.804\

REM For Java 13 and higher
set STDOPTS=-cp .\lib -jar %PROCON_DIR%ProCon.jar –conv=PS21 –sname=maldiraumserver –uname=sa –pw=%PASSWD% –resname=%NAME% -pks=Consensus 

set PROJID="562949953421517"
set SAMPID="562949953425925"
set SEIDID="562949953431912"
set OUTDIR="C:\Users\mayerg97\MyUNI\de.NBI_CUS\PS2.1\"

java.exe %JAVA_OPTS% %STDOPTS% –orgname="%AFFNAME%" –affaddr="%AFFADDR" –umail=%UMAIL% –mzid=%OUTDIR%101217_sAPP_first_562949953421517_562949953425925_562949953431912.mzid –projID=%PROJID% -sampID=%SAMPID% -seid=%SEID%

REM For conversion of several files consecutively duplicate the preceding line and change the file name accordingly.

pause
exit